.blog-item {
  display: flex;
  overflow: hidden;
  flex-direction: column;
  box-shadow: 0 11px 30px $box-shadow;

  &.first,
  &:first-child {
    margin-right: 12px;
    grid-row-start: 1;
    grid-row-end: 3;

    .blog-item__text {
      display: block;
    }

    .blog-item__desc {
      padding: 20px;
    }

    .blog-item__date {
      margin-bottom: 9px;
    }

    .blog-item__title {
      margin-bottom: 17px;
      font-size: 24px;
      line-height: 28px;
    }

    .blog-item__button {
      display: flex;
    }
  }

  &__desc {
    padding: 14px;
    display: flex;
    height: 100%;
    flex-direction: column;
    border: 2px solid transparent;
    border-top: none;

    @include transition();
  }

  &__title {
    font-family: $font-global;
    font-size: 18px;
    line-height: 134%;
    font-weight: 700;
    font-style: normal;
    color: $text-color-1;

    @include transition();
  }

  &__img {
  }

  &__date {
    margin-bottom: 6px;
    font-family: $font-global;
    font-size: 14px;
    line-height: 22px;
    font-weight: 400;
    font-style: normal;
    color: $text-color-3;
  }

  &__text {
    display: none;
    font-family: $font-global;
    font-size: 18px;
    line-height: 26px;
    font-weight: 400;
    font-style: normal;
    color: $text-color-1;
  }

  &__button {
    margin-top: auto;
    display: none;
    font-family: $font-global;
    font-size: 16px;
    line-height: 28px;
    font-weight: 700;
    font-style: normal;
    color: $text-color-1;

    a {
      margin-right: 6px;
      text-decoration: none;
      color: $text-color-1;
      border-bottom: 2px solid $border-color-1;
    }
  }

  &:hover {
    cursor: pointer;

    .blog-item__desc {
      border-left-color: $border-color-1;
      border-right-color: $border-color-1;
      border-bottom-color: $border-color-1;
    }

    .blog-item__title {
      text-decoration: underline;
      color: $button-color-1;
    }
  }
}
